Get Point Types - Fabric

Get Point Types

cURL

curl --request GET \
  --url https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/point-type-choices \
  --header 'Authorization: Bearer <token>'

Python

import requests

url = "https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/point-type-choices"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/point-type-choices', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Example Responses

Success Response (200)

{
  "status": 200,
  "message": "Success",
  "errors": {},
  "data": [
    {
      "pointTypeChoices": [
        {
          "pointTypeId": 1,
          "pointTypeName": "BASE"
        }
      ]
    }
  ]
}

Error Response (400)

{
  "message": "Error message string",
  "errors": {
    "ExceptionString": [
      "Invalid Field"
    ]
  },
  "data": null,
  "status": 400
}

Authentication Error (401)

{
  "detail": "Authentication Failed"
}

Authorization

Required: Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response